AsymmetricCipherKeyPairGenerator (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Interface AsymmetricCipherKeyPairGenerator

- All Known Implementing Classes:
    AIMerKeyPairGenerator, BLSKeyPairGenerator, CMCEKeyPairGenerator, CMCEKeyPairGenerator, CramerShoupKeyPairGenerator, DHBasicKeyPairGenerator, DHKeyPairGenerator, DilithiumKeyPairGenerator, DSAKeyPairGenerator, DSTU4145KeyPairGenerator, ECCSIKeyPairGenerator, ECKeyPairGenerator, Ed25519KeyPairGenerator, Ed448KeyPairGenerator, ElGamalKeyPairGenerator, FaestKeyPairGenerator, FalconKeyPairGenerator, FrodoKEMKeyPairGenerator, FrodoKeyPairGenerator, GOST3410KeyPairGenerator, HAETAEKeyPairGenerator, HawkKeyPairGenerator, HQCKeyPairGenerator, HSSKeyPairGenerator, LMSKeyPairGenerator, MayoKeyPairGenerator, MLDSAKeyPairGenerator, MLDSAKeyPairGenerator, MLKEMKeyPairGenerator, MLKEMKeyPairGenerator, MQOMKeyPairGenerator, NaccacheSternKeyPairGenerator, NHKeyPairGenerator, NTRUKeyPairGenerator, NTRULPRimeKeyPairGenerator, NTRUPlusKeyPairGenerator, QRUOVKeyPairGenerator, RSAKeyPairGenerator, SABERKeyPairGenerator, SDitHKeyPairGenerator, SLHDSAKeyPairGenerator, SLHDSAKeyPairGenerator, SM2KeyPairGenerator, SnovaKeyPairGenerator, SNTRUPrimeKeyPairGenerator, SPHINCS256KeyPairGenerator, SQIsignKeyPairGenerator, UOVKeyPairGenerator, X25519KeyPairGenerator, X448KeyPairGenerator, XMSSKeyPairGenerator, XMSSMTKeyPairGenerator, XWingKeyPairGenerator

      public interface AsymmetricCipherKeyPairGenerator

  interface that a public/private key pair generator should conform to.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
    `void` | `init(KeyGenerationParameters param)` intialise the key pair generator.

- - ### Method Detail

    - #### init

          void init(KeyGenerationParameters param)

      intialise the key pair generator.
      Parameters:
        `param` - the parameters the key pair is to be initialised with.

    - #### generateKeyPair

          AsymmetricCipherKeyPair generateKeyPair()

      return an AsymmetricCipherKeyPair containing the generated keys.
      Returns:
        an AsymmetricCipherKeyPair containing the generated keys.